# ce_reboot – Reboot a HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Reboot a HUAWEI CloudEngine switches.

## Requirements

The below requirements are needed on the host that executes this module.

- ncclient

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

confirm
boolean / required

Choices:
- no
- yes

Safeguard boolean. Set to true if you're sure you want to reboot.

save_config
boolean

Choices:
- no ←
- yes

Flag indicating whether to save the configuration.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.

- Recommended connection is `netconf`.

- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: reboot module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:
      - name: Reboot the device
        ce_reboot:
          confirm: true
          save_config: true
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
rebooted boolean | success | Whether the device was instructed to reboot. Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Gong Jianjun (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.